FIX::DOMDocument Class Referenceabstract

Interface that represents document of underlying XML parser. More...

`#include <DOMDocument.h>`

Inheritance diagram for FIX::DOMDocument:
[legend]

## Public Member Functions

virtual | ~DOMDocument ()
virtual bool | load (std::istream &)=0
virtual bool | load (const std::string &)=0
virtual bool | xml (std::ostream &)=0
virtual SmartPtr< DOMNode > | getNode (const std::string &)=0

## Detailed Description

Interface that represents document of underlying XML parser.

Definition at line 62 of file DOMDocument.h.

## Constructor & Destructor Documentation

## ~DOMDocument()

virtual FIX::DOMDocument::~DOMDocument | ( |  | ) |

inline virtual

Definition at line 65 of file DOMDocument.h.

{}

## Member Function Documentation

## getNode()

virtual SmartPtr< DOMNode > FIX::DOMDocument::getNode | ( | const std::string & |  | ) |

pure virtual

Implemented in FIX::PUGIXML_DOMDocument.

Referenced by FIX::DataDictionary::addXMLComponentFields().

## load() [1/2]

virtual bool FIX::DOMDocument::load | ( | const std::string & |  | ) |

pure virtual

Implemented in FIX::PUGIXML_DOMDocument.

## load() [2/2]

virtual bool FIX::DOMDocument::load | ( | std::istream & |  | ) |

pure virtual

Implemented in FIX::PUGIXML_DOMDocument.

## xml()

virtual bool FIX::DOMDocument::xml | ( | std::ostream & |  | ) |

pure virtual

Implemented in FIX::PUGIXML_DOMDocument.

The documentation for this class was generated from the following file:

- DOMDocument.h